%define major 4
%define api 0.7
%define libname %mklibname notify %{major}
%define gi_name %mklibname notify-gir %{api}
%define develname %mklibname -d notify

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Desktop notifications library
Name:		libnotify
Version:	0.7.6
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		https://developer.gnome.org/platform-overview/stable/tech-notify.html.en
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90
Buildrequires:	gtk-doc
BuildRequires:	gobject-introspection-devel >= 0.9.12

%description
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %{libname}
Group:		System/Libraries
Summary:	Desktop notifications library - shared library
%if !%{bootstrap}
Requires:	virtual-notification-daemon
%endif

%description -n %{libname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %{gi_name}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Desktop notifications library - headers
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d notify 1

%description -n %{develname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.


%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Notify-%{api}.typelib

%files -n %develname
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/Notify-%{api}.gir


%changelog
* Sat Nov 23 2013 tv <tv> 0.7.6-3.mga4
+ Revision: 552391
- fix URL

* Sat Oct 19 2013 umeabot <umeabot> 0.7.6-2.mga4
+ Revision: 533648
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 ovitters <ovitters> 0.7.6-1.mga4
+ Revision: 474601
- new version 0.7.6

* Sun Sep 01 2013 tmb <tmb> 0.7.5-3.mga4
+ Revision: 473809
- rebuild for new webkit

* Sat Jan 12 2013 umeabot <umeabot> 0.7.5-2.mga3
+ Revision: 357877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 27 2012 ovitters <ovitters> 0.7.5-1.mga2
+ Revision: 227083
- clean spec
- new version 0.7.5

* Wed Sep 14 2011 fwang <fwang> 0.7.4-4.mga2
+ Revision: 143406
- drop .la files

* Wed Aug 31 2011 fwang <fwang> 0.7.4-3.mga2
+ Revision: 136928
- rebuild for bs monster
- rebuild for broken BS
- new version 0.7.4

* Sat Jul 09 2011 cjw <cjw> 0.7.3-2.mga2
+ Revision: 121313
- move gobject introspection typelib to a separate subpackage
- rebuild for automatic typelib provides and deps

* Wed Jun 08 2011 dmorgan <dmorgan> 0.7.3-1.mga2
+ Revision: 101734
- Add gobject-introspection-devel as buildrequires
- Fix file list
- New version 0.7.3

* Sat Jan 15 2011 blino <blino> 0.5.2-2.mga1
+ Revision: 19032
- remove old ldconfig scriptlets
- imported package libnotify

